Bug 133867 - Open file slightly slower & ctrl+a causes CPU to peak (autofilter related?)
Summary: Open file slightly slower & ctrl+a causes CPU to peak (autofilter related?)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, perf, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2020-06-10 17:06 UTC by Telesto
Modified: 2021-11-25 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (2.40 MB, application/vnd.oasis.opendocument.spreadsheet)
2020-06-10 17:07 UTC, Telesto
Details
Bibisect log (5.57 KB, text/plain)
2020-06-10 17:13 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-10 17:06:56 UTC
Description:
Open file slightly slower & ctrl+a causes CPU to peak

Steps to Reproduce:
1. Open the attached file (based on bug 88109)
2. Press CTRL+A -> And look at the CPU usage

Actual Results:
25% CPU for 5/6 seconds

Expected Results:
Shouldn't be


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.beta1+
Build ID: c344de1b9985b6ca10b354e24151d0bdf92dc20e
CPU threads: 2; OS: Linux 5.3; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Telesto 2020-06-10 17:07:27 UTC
Created attachment 161848 [details]
Example file
Comment 2 Telesto 2020-06-10 17:13:24 UTC
Created attachment 161849 [details]
Bibisect log

# possible first bad commit: [d371fd0cdabdf23f89e7f7c578839ea9ef584578] source-hash-e1b14fa6557f0ded8b5149e28e00861b296dcb34
# possible first bad commit: [d0aa721aa6e5c22da0ea848e902eb98e4d5885f3] source-hash-347af397cafa97cfa7d5027f83fff784ca04a397
# possible first bad commit: [bc5b8053d8d6bdda5eb1a9c1c945a93317be64b9] source-hash-17b00767948f7add229ec589c06cd8c898032ffa
# possible first bad commit: [4c05a6f754ec6d1841a04f0b43a73b12d549f139] source-hash-8728f8e8705cfb6875a315aef85ec6004604e702
# possible first bad commit: [6b5d730f8576dfa70d2ecd090e4e99ea926f8eca] source-hash-4a7a6b46c0dc779581f271b9e6c13c365eca7ab8
# possible first bad commit: [cb044da515b41ea546c86fd538345db9330df91c] source-hash-c0d5d26ad74cc7b6470d1e0c8951bee548c7ba17
# possible first bad commit: [204f1bdcec10bf68ac186378443bead79892c88f] source-hash-9ca4e6e1940a22cf82cc492da6a3ce0b3d8e0e80
# possible first bad commit: [7509b8a79aad61ca7492cc30303af8820a110cd5] source-hash-5b8ad54cc596a58da1f79937cc6709ce0799ac7f
# possible first bad commit: [f77515fd5283b422312e39e1b13ed92e68c7de78] source-hash-6404567b0ad3dab20f39eb93114a30f0b2016f31
# possible first bad commit: [2f859137ec629a6619225dd6aedc574904a1019b] source-hash-b4ea08def28a510212f4de355b384e8542c014d4

Maybe 4a7a6b46c0dc779581f271b9e6c13c365eca7ab8
Comment 3 b. 2020-06-11 09:56:20 UTC
there is a cpu peak, 

~ 6 sec. 60 to 100% with below ver., 

only with active filtering, select all in col C - no peak on ctrl-a, 

Version: 7.1.0.0.alpha0+
Build ID: 20ba8d8d9f4fcf7d5826fcb3366a9bff0d6a8ca1
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: gtk3
Locale: de-DE (en_US.utf8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-10_07:16:41
Calc: threaded
Comment 4 Commit Notification 2021-11-25 13:28:13 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1d0cdc461c43f0ce0eda4961311a972edf9e78e2

try to search efficiently with a query with many items (tdf#133867)

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.